iproute-1.7.12: IP Routing Table

Safe Haskell | None
Language | Haskell2010

Data.IP.Builder

Contents

- `BoundedPrim` `Builder`s for general, IPv4 and IPv6 addresses.

Synopsis

- ipBuilder :: IP -> Builder
- ipv4Builder :: IPv4 -> Builder
- ipv6Builder :: IPv6 -> Builder

# `BoundedPrim` `Builder`s for general, IPv4 and IPv6 addresses.

ipBuilder :: IP -> Builder #

`BoundedPrim` bytestring `Builder` for general `IP` addresses.

ipv4Builder :: IPv4 -> Builder #

`BoundedPrim` bytestring `Builder` for `IPv4` addresses.

ipv6Builder :: IPv6 -> Builder #

`BoundedPrim` bytestring `Builder` for `IPv6` addresses.